Create list
curl --request POST \
--url https://prod01.oms.fabric.inc/api/v2/list/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Wishlist",
"userId": null,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://prod01.oms.fabric.inc/api/v2/list/"
payload = {
"name": "Wishlist",
"userId": None,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Wishlist',
userId: null,
listId: '5349b4ddd2781d08c09890f4',
listType: 'Wish list',
notes: 'Add items to your wishlist to purchase later',
attributes: {attr1: 'value1', attr2: 'value2'},
count: 0,
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://prod01.oms.fabric.inc/api/v2/list/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Wishlist",
"userId": null,
"listId": "5349b4ddd2781d08c09890f4",
"listType": "Wish list",
"notes": "Add items to your wishlist to purchase later",
"attributes": {
"attr1": "value1",
"attr2": "value2"
},
"count": 0,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Bad Request"
}{
"message": "List Not Found."
}{
"message": "Internal Server Error"
}List
Create list
Creates a list. When you create a list, a list ID is generated automatically that can be mapped later to add items to the list, and to update and delete the list. After creating a list, you can add items to the list by using POST/{listId}/items endpoint.
POST
/
list
/
Create list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
List details
Example:
"Wishlist"
Example:
null
Example:
"5349b4ddd2781d08c09890f4"
Example:
"Wish list"
Example:
"Add items to your wishlist to purchase later"
Show child attributes
Show child attributes
Example:
{ "attr1": "value1", "attr2": "value2" }Number of items added to the list.
Required range:
x >= 0Example:
0
Response
List Created
List details
Example:
"Wishlist"
Example:
null
Example:
"5349b4ddd2781d08c09890f4"
Example:
"Wish list"
Example:
"Add items to your wishlist to purchase later"
Show child attributes
Show child attributes
Example:
{ "attr1": "value1", "attr2": "value2" }Number of items added to the list.
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I
